{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="realizar-consultas/">Início</a>
	</li>
	<li class="breadcrumb-item active">Tag x Meses</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
	<i class="fas fa-table"></i>
	Tag x Meses
</div>

<div class="container">
	<div id="lista_bancos" class="row mb-4" style="align-items: center	; justify-content: center; margin-left: 5%">
			<form action="relatorio2" method="POST" class="col">
				{%csrf_token %}
				<div class="col">
					<div class="form-group">
						<label for="cliente" style="font-weight:bold;">Selecione um cliente:</label>
						<select style="align-self: center;" class="mt form-control" name="id">
							<option value="0+0">Todos os clientes</option>
							{% for cliente in clientes %}
								{% if cliente.conta == id_conta and cliente.banco == id_banco%}	
									<option value="{{cliente.conta}}+{{cliente.banco}}" selected>{{cliente.nome}}  - {{cliente.conta}} - {{cliente.descricao}}</option>
								{% else %}
									<option value="{{cliente.conta}}+{{cliente.banco}}">{{cliente.nome}}  - {{cliente.conta}} - {{cliente.descricao}}</option>
								{% endif %}
							{% endfor %}
						</select>
					</div>
					<div class="form-group">
						<label for="ano" style="font-weight:bold;">Selecione um Ano:</label>
						<input type="number" pattern="[0-9]/$" name='ano' value="{{ano}}" required class="form-control"/>
					</div>
					<input type="submit" value="Buscar" width="100%" class="btn btn-primary"/>
				</div>
		</form>
	</div>
	<div class="row">
		<div id="no-more-tables">
			<table class="table-bordered table table-striped table-condensed cf" id="dataTable">
				<thead>
					<tr role="row">
						<th class="sorting_asc" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Nome: activate to sort column descending" style="width: 40px;">
							TAG
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Projeto: activate to sort column ascending" style="width: 100px;">
							JAN
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Orientador: activate to sort column ascending" style="width: 252px;">
							FEV
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliado: activate to sort column ascending" style="width: 50px;">
							MAR
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							ABR
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							MAI
						</th>						
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 189px;">
							JUN
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							JUL
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							AGO
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							SET
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							OUT
						</th>	
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							NOV
						</th>
						<th class="sorting" tabindex="0" aria-controls="dataTable" rowspan="1" colspan="1" aria-label="Avaliar: activate to sort column ascending" style="width: 100px;">
							DEZ
						</th>										
					</tr>
				</thead>
				<tbody> 
					{% for tag in tags %}
						<tr role="row" class="odd" style="align-items: center; text-justify: initial">
							<td data-title="TAG" class="sorting_1">{{ tag.tag }}</td>
							<td data-title="JAN" class="text-center">{{ tag.meses.JAN }}</td>
							<td data-title="FEV"class="text-center">{{ tag.meses.FEV }}</td>
							<td data-title="MAR"class="text-center">{{ tag.meses.MAR }}</td>
							<td data-title="ABR"class="text-center">{{ tag.meses.ABR }}</td>
							<td data-title="MAI"class="text-center">{{ tag.meses.MAI }}</td>
							<td data-title="JUN"class="text-center">{{ tag.meses.JUN }}</td>
							<td data-title="JUL"class="text-center">{{ tag.meses.JUL }}</td>
							<td data-title="AGO"class="text-center">{{ tag.meses.AGO }}</td>
							<td data-title="SET"class="text-center">{{ tag.meses.SET }}</td>
							<td data-title="OUT"class="text-center">{{ tag.meses.OUT }}</td>
							<td data-title="NOV"class="text-center">{{ tag.meses.NOV }}</td>
							<td data-title="DEZ"class="text-center">{{ tag.meses.DEZ }}</td>
						</tr>
					{% endfor %}
				</tbody>
			</table>
		</div>
	</div>
</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}